%define upstream_name Tk-FileDialog
%define upstream_version 1.3

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
License:	GPL
Group:		Development/Perl
Summary:	Tk::FileDialog Perl module
Source0:	http://cpan.uwinnipeg.ca/cpan/authors/id/B/BP/BPOWERS/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		http://search.cpan.org/dist/%{upstream_name}
BuildRequires:	perl-devel

BuildArch:	noarch

%description
A highly configurable File Dialog widget for Perl/Tk.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
make PREFIX=%{buildroot}%{_prefix} install DESTDIR=%{buildroot}

%files
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-3.mga6
+ Revision: 1035405
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.300.0-2.mga6
+ Revision: 939926
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-13.mga5
+ Revision: 739437
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-12.mga5
+ Revision: 686723
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-11.mga4
+ Revision: 515713
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3-10.mga3
+ Revision: 374429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.3-9.mga1
+ Revision: 31395
- mageia rebuild
- imported package perl-Tk-FileDialog

